﻿<!-- BattleForge Special Effect Editor -->
<!-- Copyright(C) 2022 Skylords Reborn -->
<!-- Project licensed under GNU General Public License v3.0. See LICENSE for more information. -->
    
<UserControl x:Class="BattleForgeEffectEditor.Application.View.ElementSettings.AnimatedMeshSettingsView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:vm="clr-namespace:BattleForgeEffectEditor.Application.ViewModel.ElementSettings" 
             d:DataContext="{d:DesignInstance Type=vm:AnimatedMeshSettingsViewModel}"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800">
    <Grid>
        <ScrollViewer VerticalScrollBarVisibility="Auto">
            <ItemsControl>
                <Label Content="Name" Foreground="Black" FontWeight="Bold"/>
                <TextBox Text="{Binding Name, UpdateSourceTrigger=PropertyChanged}" />
                <Label Content="Animation file (.ska)" Foreground="Black" FontWeight="Bold"/>
                <TextBox Text="{Binding AnimationFile, UpdateSourceTrigger=PropertyChanged}" />
                <Label Content="Mesh file (.drs)" Foreground="Black" FontWeight="Bold"/>
                <TextBox Text="{Binding MeshFile, UpdateSourceTrigger=PropertyChanged}" />
            </ItemsControl>
        </ScrollViewer>
    </Grid>
</UserControl>
